csTriangleMeshBox Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
csTriangleMeshBox Class Reference
Geometry utilities

A convenience triangle mesh implementation that represents a cube. More...

`#include <csgeom/trimesh.h>`

Inheritance diagram for csTriangleMeshBox:

List of all members.

## Public Member Functions
| csTriangleMeshBox (const csBox3 &box)
| Construct a cube triangle mesh.
virtual uint32 | GetChangeNumber () const
| When this number changes you know the triangle mesh has changed (deformation has occured) since the last time you got another number from this function.
virtual csFlags & | GetFlags ()
| Get flags for this triangle mesh.
virtual size_t | GetTriangleCount ()
| Get the number of triangles for this mesh.
virtual csTriangle * | GetTriangles ()
| Get the triangle table for this mesh.
virtual size_t | GetVertexCount ()
| Get the number of vertices for this mesh.
virtual csVector3 * | GetVertices ()
| Get the pointer to the array of vertices.
virtual void | Lock ()
| Lock the triangle mesh.
void | SetBox (const csBox3 &box)
| Set the box.
virtual void | Unlock ()
| Unlock the triangle mesh.

## Detailed Description

A convenience triangle mesh implementation that represents a cube.

Definition at line 166 of file trimesh.h.

## Constructor & Destructor Documentation

csTriangleMeshBox::csTriangleMeshBox | ( | const csBox3 & | box | ) | `[inline]`

Construct a cube triangle mesh.

Definition at line 179 of file trimesh.h.

## Member Function Documentation

virtual uint32 csTriangleMeshBox::GetChangeNumber | ( |  | ) | const`[inline, virtual]`

When this number changes you know the triangle mesh has changed (deformation has occured) since the last time you got another number from this function.

Implements iTriangleMesh.

Definition at line 226 of file trimesh.h.

virtual csFlags& csTriangleMeshBox::GetFlags | ( |  | ) | `[inline, virtual]`

Get flags for this triangle mesh.

This is zero or a combination of the following flags:

- CS_TRIMESH_CLOSED: mesh is closed.
- CS_TRIMESH_NOTCLOSED: mesh is not closed.
- CS_TRIMESH_CONVEX: mesh is convex.
- CS_TRIMESH_NOTCONVEX: mesh is not convex.
- CS_TRIMESH_DEFORMABLE: mesh is deformable.

Note that if neither CS_TRIMESH_CLOSED nor CS_TRIMESH_NOTCLOSED are set then the closed state is not known. Setting both is illegal. Note that if neither CS_TRIMESH_CONVEX nor CS_TRIMESH_NOTCONVEX are set then the convex state is not known. Setting both is illegal.

Implements iTriangleMesh.

Definition at line 225 of file trimesh.h.

virtual size_t csTriangleMeshBox::GetTriangleCount | ( |  | ) | `[inline, virtual]`

Get the number of triangles for this mesh.

Implements iTriangleMesh.

Definition at line 221 of file trimesh.h.

virtual csTriangle* csTriangleMeshBox::GetTriangles | ( |  | ) | `[inline, virtual]`

Get the triangle table for this mesh.

Implements iTriangleMesh.

Definition at line 222 of file trimesh.h.

virtual size_t csTriangleMeshBox::GetVertexCount | ( |  | ) | `[inline, virtual]`

Get the number of vertices for this mesh.

Implements iTriangleMesh.

Definition at line 219 of file trimesh.h.

virtual csVector3* csTriangleMeshBox::GetVertices | ( |  | ) | `[inline, virtual]`

Get the pointer to the array of vertices.

Implements iTriangleMesh.

Definition at line 220 of file trimesh.h.

virtual void csTriangleMeshBox::Lock | ( |  | ) | `[inline, virtual]`

Lock the triangle mesh.

This prevents the triangle data from being cleaned up.

Implements iTriangleMesh.

Definition at line 223 of file trimesh.h.

void csTriangleMeshBox::SetBox | ( | const csBox3 & | box | ) | `[inline]`

Set the box.

Definition at line 206 of file trimesh.h.

virtual void csTriangleMeshBox::Unlock | ( |  | ) | `[inline, virtual]`

Unlock the triangle mesh.

This allows clean up again.

Implements iTriangleMesh.

Definition at line 224 of file trimesh.h.

The documentation for this class was generated from the following file:

- csgeom/trimesh.h